2019-08-26 12:12 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005060Spring engineLuapublic2017-05-19 00:46
ReporterGoogle_Frog 
Assigned ToKloot 
PrioritynoneSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version100.0+git 
Target VersionFixed in Version103.0 +git 
Summary0005060: Feature: Dynamic feature reclaim yield
DescriptionThis feature request is for lua to be able to set the yield for reclaiming a feature. In effect the featureDef values metal, energy and reclaimtime should be dynamic. Lua cannot currently do this, the only related thing it can do is to set the reclaim progress.
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0017661

Anonymous (viewer)

Fix bf445b3c32a47d896252af9a0b0ceb94d993e3e1 committed to develop branch: fix 0005060

add Spring.SetFeatureResources(number metal, number energy [, number reclaimTime [, number reclaimLeft]])
extend Spring.SetFeatureResurrect so it can set resurrect-progression if the second argument is a number, repo: spring changeset id: 8229
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2016-02-07 13:57 Google_Frog New Issue
2017-05-19 00:45 Changeset attached => spring develop bf445b3c
2017-05-19 00:45 Anonymous Note Added: 0017661
2017-05-19 00:46 Kloot Assigned To => Kloot
2017-05-19 00:46 Kloot Status new => resolved
2017-05-19 00:46 Kloot Resolution open => fixed
2017-05-19 00:46 Kloot Fixed in Version => 103.0 +git
+Issue History